> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get an Adjustment

Get a specific adjustment by ID.



## OpenAPI

````yaml https://api.stuut.ai/openapi.json get /v2/adjustments/{adjustment_id}
openapi: 3.1.0
info:
  title: Stuut API
  termsOfService: https://stuut.ai/terms-and-conditions
  contact:
    name: Stuut Support
    url: https://stuut.ai/
    email: devs@stuut.co
  version: 2.0.0
servers: []
security:
  - HTTPBearer: []
tags:
  - name: adjustments
    description: Operations for managing payment adjustments (fees, discounts, write-offs).
    x-displayName: Adjustments
  - name: aether
    description: Operations for aether.
    x-displayName: Aether
  - name: analytics
    description: Operations for retrieving analytics and dashboard data.
    x-displayName: Analytics
  - name: assistant
    description: Operations for the in-app chat assistant.
    x-displayName: Assistant
  - name: audit-log
    description: Operations for retrieving the organization's audit log.
    x-displayName: Audit Log
  - name: bank-accounts
    description: Operations for retrieving and managing bank accounts.
    x-displayName: Bank Accounts
  - name: bank-statements
    description: Operations for retrieving and managing bank statements.
    x-displayName: Bank Statements
  - name: bank-transactions
    description: Operations for retrieving and managing bank transactions.
    x-displayName: Bank Transactions
  - name: business-units
    description: Operations for listing and managing business units.
    x-displayName: Business Units
  - name: call-agent
    description: >-
      Operations for initiating and managing real-time voice calls with
      partners.
    x-displayName: Call Agent
  - name: calls
    description: Operations for retrieving and managing voice call records.
    x-displayName: Calls
  - name: cash-app
    description: Operations for cash application — matching incoming payments to invoices.
    x-displayName: Cash Application
  - name: chats
    description: Operations for managing chat conversations.
    x-displayName: Chats
  - name: cnam-registration
    description: Operations for managing CNAM (caller ID name) registration.
    x-displayName: CNAM Registration
  - name: credit-memos
    description: Operations for retrieving and searching credit memos.
    x-displayName: Credit Memos
  - name: custom-table-templates
    description: >-
      Operations for managing custom table templates used in email template
      variables.
    x-displayName: Custom Table Templates
  - name: customer-segments
    description: Operations for managing customer segments.
    x-displayName: Customer Segments
  - name: deductions-knowledge
    description: Operations for managing deduction processing knowledge entries.
    x-displayName: Deductions Knowledge
  - name: email-threads
    description: Operations for managing email threads.
    x-displayName: Email Threads
  - name: emails
    description: Operations for retrieving and managing emails.
    x-displayName: Emails
  - name: exports
    description: Operations for requesting and retrieving async data exports.
    x-displayName: Exports
  - name: integrations
    description: >-
      Operations for managing integrations with external systems (e.g. ERP, CRM,
      etc.).
    x-displayName: Integrations
  - name: internal-contacts
    description: >-
      Operations for managing internal contacts (CSMs, account managers, etc.)
      and their assignments to partners.
    x-displayName: Internal Contacts
  - name: invoices
    description: Operations for retrieving and managing invoices.
    x-displayName: Invoices
  - name: kyb
    description: Operations for Know Your Business (KYB) verification.
    x-displayName: KYB
  - name: ledger-accounts
    description: Operations for retrieving and managing ledger accounts.
    x-displayName: Ledger Accounts
  - name: mailbox-settings
    description: >-
      Operations for an organization's mailbox provider configuration: Microsoft
      admin consent, shared-mailbox discovery, and provider health.
    x-displayName: Mailbox Settings
  - name: mailboxes
    description: >-
      Operations for connecting, listing, updating, and archiving user and
      shared mailboxes, including delegated OAuth sign-in.
    x-displayName: Mailboxes
  - name: media
    description: >-
      Operations for signing direct-to-storage media uploads (e.g. signature
      images).
    x-displayName: Media
  - name: organizations
    description: Operations for retrieving and managing the current organization.
    x-displayName: Organizations
  - name: outreach-workflows
    description: Operations for managing automated collections outreach workflows.
    x-displayName: Outreach Workflows
  - name: partners
    description: Operations for retrieving and managing customers.
    x-displayName: Partners
  - name: payments
    description: Operations for approving and managing payments.
    x-displayName: Payments
  - name: report-configs
    description: >-
      Operations for managing report configurations (frequency, recipients,
      schedule).
    x-displayName: Report Configs
  - name: sms-campaign-registration
    description: Operations for managing A2P 10DLC SMS campaign registration.
    x-displayName: SMS Campaign Registration
  - name: sms-templates
    description: >-
      Operations for defining, storing, and managing parameterized SMS message
      templates.
    x-displayName: SMS Templates
  - name: sms-threads
    description: Operations for retrieving and managing SMS conversation threads.
    x-displayName: SMS Threads
  - name: users
    description: Operations for retrieving and managing users.
    x-displayName: Users
  - name: users-ooo
    description: Operations for managing user out-of-office (OOO) status and coverage.
    x-displayName: Users OOO
paths:
  /v2/adjustments/{adjustment_id}:
    get:
      tags:
        - adjustments
      summary: Get
      description: |-
        Get an Adjustment

        Get a specific adjustment by ID.
      operationId: GetAdjustmentsAdjustmentId
      parameters:
        - name: adjustment_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Adjustment'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Adjustment:
      properties:
        created_at:
          type: string
          format: date-time
          title: ''
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: ''
        id:
          type: string
          title: ''
        name:
          type: string
          title: ''
          description: The name of this adjustment type, e.g. 'Stripe Processing Fee'
        is_active:
          type: boolean
          title: ''
          description: Whether this adjustment type is active and available for use
        is_system:
          type: boolean
          title: ''
          description: >-
            Whether this adjustment was created by the system (e.g., during
            Stripe processing) vs manually by a user
        automated:
          type: boolean
          title: ''
          description: >-
            Whether this adjustment is automatically applied during payment
            processing
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: Optional description for this adjustment type
        ledger_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: >-
            Optional ledger account for accounting integration. When set, this
            adjustment's allocations will be posted to this ledger account.
        ledger_account:
          anyOf:
            - $ref: '#/components/schemas/LedgerAccountSummary'
            - type: 'null'
          title: ''
        object:
          type: string
          title: ''
          description: >-
            String representing the object's type. Objects of the same type
            share the same value.
          readOnly: true
        can_delete:
          type: boolean
          title: ''
          description: >-
            Whether this adjustment can be deleted. System adjustments cannot be
            deleted, only deactivated.
          readOnly: true
      type: object
      required:
        - created_at
        - modified_at
        - id
        - name
        - is_active
        - is_system
        - automated
        - description
        - ledger_account_id
        - ledger_account
        - object
        - can_delete
      title: Adjustment
      description: Adjustment response schema.
    HTTPValidationError:
      $defs:
        ValidationError:
          properties:
            loc:
              items:
                anyOf:
                  - type: string
                  - type: integer
              title: Location
              type: array
            msg:
              title: Message
              type: string
            type:
              title: Type
              type: string
          required:
            - loc
            - msg
            - type
          title: ValidationError
          type: object
          x-speakeasy-include: true
      properties:
        type:
          const: request-validation
          title: Type
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable description of this specific problem.
          title: Detail
          x-speakeasy-error-message: true
        status:
          const: 422
          title: Status
          type: integer
        title:
          description: Short human-readable summary of the problem.
          title: Title
          type: string
          x-speakeasy-error-message: true
        errors:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Errors
          type: array
      required:
        - type
        - status
        - title
        - errors
      title: APIError
      type: object
    LedgerAccountSummary:
      properties:
        created_at:
          type: string
          format: date-time
          title: ''
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: ''
        id:
          type: string
          title: ''
        name:
          type: string
          title: ''
          description: The name of the ledger account.
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
          description: The ledger account number.
        classification:
          $ref: '#/components/schemas/LedgerAccountClassification'
          title: ''
        object:
          type: string
          title: ''
          description: >-
            String representing the object's type. Objects of the same type
            share the same value.
          readOnly: true
      type: object
      required:
        - created_at
        - modified_at
        - id
        - name
        - number
        - classification
        - object
      title: LedgerAccountSummary
      description: Lightweight ledger account for nested relationships.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Type
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
      x-speakeasy-include: true
    LedgerAccountClassification:
      type: string
      enum:
        - asset
        - equity
        - expense
        - liability
        - revenue
        - other
      title: LedgerAccountClassification
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````